Name:           scummvm
Version:        2.1.1
Release:        %mkrel 2
Summary:        An implementation of LucasArts's SCUMM interpreter
Group:          Games/Adventure
License:        GPLv2+ and LGPLv2+
Url:            http://scummvm.sourceforge.net
Source0:        http://www.scummvm.org/frs/%{name}/%{version}/%{name}-%{version}.tar.xz
# Fluidsynth 1&2 support. From upstream trunk.
Patch1:         scummvm-2.1.1-AUDIO_Fix_Compilation_Against_Fluidsynth_v2_1_and_later.patch
Patch2:         scummvm-2.1.1-AUDIO_Really_Fix_Compilation_Against_Fluidsynth_v2_1_and_later.patch
# Properly apply LDFLAGS to plugins. From upstream pull-request.
Patch3:         scummvm-2.1.1-BUILD_Apply_LDFLAGS_on_modules_plugins.patch
# Add compatibility for RPM's configure macro
Patch4:         scummvm-2.1.1-CONFIGURE_Add_compatibility_for_RPM_configure_macro.patch
BuildRequires:  nasm
BuildRequires:  curl-devel
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  libjpeg-devel
BuildRequires:  speech-dispatcher-devel
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

%description
ScummVM is an implementation of LucasArts S.C.U.M.M.
(Script Creation Utility for Maniac Mansion) interpreter, used in games
such as Monkey Island, Indiana Jones, Day Of The Tentacle, Sam and Max,
and many more. Some things are still missing, and some games cannot
be completeted yet. There are quite a few known bugs. Regardless of
the bugs it is still possible to play some games all the way through
to the end.

Some of these games have been released as freeware by their
developers, install e.g. beneath-a-steel-sky or
flight-of-the-amazon-queen packages to play.

%prep
%autosetup -p1

%build
# The configure script shall ignore the parameter for the --host option
# passed by %%configure.
export CONFIGURE_NO_HOST=true

%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_datadir}/%{name} \
  --enable-all-engines \
  --enable-c++11 \
  --enable-release \
  --enable-freetype2 \
  --enable-text-console \
  --with-freetype2-prefix=%{_prefix}

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cp dists/%{name}.desktop %{buildroot}%{_datadir}/applications

install -D -m 644 dists/redhat/scummvm48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m 644 icons/scummvm.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc %{_docdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/
%{_datadir}/appdata/scummvm.appdata.xml
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Feb 22 2020 daviddavid <daviddavid> 2.1.1-2.mga8
+ Revision: 1549216
- add patch from upstreamed PR to add compatibility for RPM's configure macro

* Fri Feb 21 2020 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1548344
- new version: 2.1.1
- add upstream patches to fix build with fluidsynth >= 2.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 luigiwalser <luigiwalser> 2.1.0-2.mga8
+ Revision: 1476816
- rebuild for readline
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Oct 29 2019 zezinho <zezinho> 2.1.0-1.mga8
+ Revision: 1456630
- add fedora patch to fix text to speech build
- new version 2.1.0 - enable plugin engines - enable text-console - add BR readline

* Mon Jan 14 2019 luigiwalser <luigiwalser> 2.0.0-5.mga7
+ Revision: 1356818
- rebuild for fluidsynth

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1300966
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 akien <akien> 2.0.0-3.mga7
+ Revision: 1235344
- Disable network features as advised by upstream, not production ready yet
- Enable FreeType2 support

* Fri Jun 08 2018 akien <akien> 2.0.0-2.mga7
+ Revision: 1235331
- Add upstream patch for CVE-2017-17528
- Add upstream patch to prevent hang when opening a browser
- Enable support for libcurl, SDL2_net and cloud features
- Enable release mode

* Fri Dec 22 2017 zezinho <zezinho> 2.0.0-1.mga7
+ Revision: 1184048
- new version

* Mon Nov 13 2017 zezinho <zezinho> 1.9.0-1.mga7
+ Revision: 1177138
- new version

* Sat Aug 27 2016 akien <akien> 1.8.1-1.mga6
+ Revision: 1049301
- Version 1.8.1
- Cleanup obsolete instructions
- Fix installation path of the scummvm data files
- Version 1.8.1

* Mon Mar 14 2016 zezinho <zezinho> 1.8.0-1.mga6
+ Revision: 990436
- new version

* Wed Feb 17 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 962771
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 zezinho <zezinho> 1.7.0-1.mga6
+ Revision: 873854
- new version 1.7

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-4.mga6
+ Revision: 747705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 689087
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 528390
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 zezinho <zezinho> 1.6.0-1.mga4
+ Revision: 444800
- patch applied upstream
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 381920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 zezinho <zezinho> 1.5.0-1.mga3
+ Revision: 288178
- new version

* Fri Feb 03 2012 zezinho <zezinho> 1.4.1-1.mga2
+ Revision: 204185
- applied peroyvind build fix
- applied peroyvind build fix
- new version

* Sat Nov 12 2011 zezinho <zezinho> 1.4.0-1.mga2
+ Revision: 167033
- new version

* Mon Oct 10 2011 zezinho <zezinho> 1.3.1-1.mga2
+ Revision: 153732
- new version

* Mon Sep 26 2011 zezinho <zezinho> 1.2.0-1.mga2
+ Revision: 148989
- suggests some game to be usefull
- imported package scummvm


* Fri Oct 22 2010 Götz Waschk <goetz@zarb.org> 1.2.0-1plf2011.0
- rediff patch
- new version

* Mon May  3 2010 Götz Waschk <goetz@zarb.org> 1.1.1-1plf2010.1
- new version

* Mon Apr  5 2010 Götz Waschk <goetz@zarb.org> 1.1.0-1plf2010.1
- new version

* Mon Nov 30 2009 Götz Waschk <goetz@zarb.org> 1.0.0-2plf2010.1
- install unstripped binary to have working debug package

* Mon Nov 30 2009 Götz Waschk <goetz@zarb.org> 1.0.0-1plf2010.1
- update menu entry
- drop old icon
- new version

* Fri Mar 13 2009 Götz Waschk <goetz@zarb.org> 0.13.0-1plf2009.1
- new version

* Mon Sep  1 2008 Götz Waschk <goetz@zarb.org> 0.12.0-1plf2009.0
- update license
- new version

* Thu Jan 17 2008 Götz Waschk <goetz@zarb.org> 0.11.0-1plf2008.1
- new version

* Mon Jul  2 2007 Götz Waschk <goetz@zarb.org> 0.10.0-2plf2008.0
- reenable HQ scalers

* Thu Jun 21 2007 Götz Waschk <goetz@zarb.org> 0.10.0-1plf2008.0
- fix installation
- disable HQ scalers (sf bug #1740786)
- drop patch
- new version

* Mon Dec 11 2006 Götz Waschk <goetz@zarb.org> 0.9.1-2plf2007.1
- patch for new flac

* Wed Dec  6 2006 Götz Waschk <goetz@zarb.org> 0.9.1-1plf2007.1
- fix buildrequires
- new version

* Mon Jun 26 2006 Götz Waschk <goetz@zarb.org> 0.9.0-1plf2007.0
- xdg menu
- drop source 1
- New release 0.9.0

* Fri Feb 10 2006 Götz Waschk <goetz@zarb.org> 0.8.2-1plf
- New release 0.8.2

* Tue Jan 31 2006 Götz Waschk <goetz@zarb.org> 0.8.1-1plf
- New release 0.8.1

* Sun Oct 30 2005 Götz Waschk <goetz@zarb.org> 0.8.0-1plf
- New release 0.8.0

* Tue Apr 19 2005 Götz Waschk <goetz@zarb.org> 0.7.1-2plf
- mkrel macro
- rebuild for new flac

* Tue Mar 29 2005 Götz Waschk <goetz@zarb.org> 0.7.1-1plf
- New release 0.7.1

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@zarb.org> 0.7.0-1plf
- 0.7.0
- merry christmas!

* Wed Dec 15 2004 Olivier Blin <blino@zarb.org> 0.6.1b-1plf
- 0.6.1b
- fix source URL

* Mon Sep 20 2004 Götz Waschk <goetz@zarb.org> 0.6.1-3plf
- fix description

* Thu Aug 19 2004 Götz Waschk <goetz@zarb.org> 0.6.1-2plf
- rebuild for new menu

* Wed Jul 28 2004 Götz Waschk <goetz@zarb.org> 0.6.1-1plf
- add source URL
- New release 0.6.1

* Mon Jun  7 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.0-2plf
- drop vendor and distribution tags
- rebuild for new g++

* Tue Mar 16 2004 Per Øyvind Karlsen <peroyvind@zarb.org> 0.6.0-1plf
- 0.6.0
- build with new mpeg2 support
- fix buildrequires (lib64..)
- drop P0
- change summary macro to avoid possible conflicts
- cosmetics

* Tue Oct 21 2003 Michael Scherer <scherer.michael@free.fr> 0.5.1-2plf
- added a directory to drop the games [DIRM]
- changed description

* Sat Aug  9 2003 Götz Waschk <goetz@plf.zarb.org> 0.5.1-1plf
- new version

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.5.0-2plf
- change variable for compile flags, (grrr, götz didn't include changes from 0.4.1-3plf
  and 0.4.1-4plf in last release)
- no longer need for -fno-optimize-sibling-calls that was added to compile flags in
  0.4.1-4plf, sound seems to be working ok now

* Sat Aug  2 2003 Götz Waschk <goetz@plf.zarb.org> 0.5.0-1plf
- drop patch1, I guess it's obsolete
- new version

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.4.1-4plf
- use higher optimizations while using -fno-optimize-sibling-calls to avoid
  that sound get's screwed

* Thu May 29 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.4.1-3plf
- update variable for compileflags so they are used again

* Tue May 27 2003 Götz Waschk <goetz@plf.zarb.org> 0.4.1-2plf
- patch1: add missing advmame3x screen mode

* Mon May 26 2003 Götz Waschk <goetz@plf.zarb.org> 0.4.1-1plf
- new version

* Sun May 18 2003 Götz Waschk <goetz@plf.zarb.org> 0.4.0-1plf
- enable vorbis and alsa
- fix buildrequires
- new version

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.3.0-b.3plf
- fix compileflags to have sound working and rule out warnings

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.3.0-b.2plf
- move scummvm.xpm into %%{_datadir}/pixmaps/
- added .png icons and menuitem

* Thu Dec 12 2002 Per Øyvind Karlsen <peroyvind@zarb.org> 0.3.0-b.1plf
- 0.3.0b
- added libmad-devel to BuildRequires
- added XFree86-devel to BuildRequires, or else we might run into problems
  if just lsbdev(which satisfies dependencies, but fails at linking)

* Sat Nov 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-2plf
- BuildRequires
- plf, not mdk

* Fri Nov 15 2002 Per Øyvind Karlsen <peroyvind@zarb.org> 0.2.0-1plf
- Initial release
